Skip to main content
POST
/
service-accounts
/
{org}
/
{name}
/
api-keys
Create an API key for a service account
curl --request POST \
  --url https://app.kosli.com/api/v2/service-accounts/{org}/{name}/api-keys \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "description": "<string>",
  "expires_at": 123
}
'
import requests

url = "https://app.kosli.com/api/v2/service-accounts/{org}/{name}/api-keys"

payload = {
    "description": "<string>",
    "expires_at": 123
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({description: '<string>', expires_at: 123})
};

fetch('https://app.kosli.com/api/v2/service-accounts/{org}/{name}/api-keys', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "<string>",
  "key": "<string>",
  "description": "<string>",
  "created_at": 123,
  "expires_at": 123
}
{
  "message": "<string>",
  "errors": {}
}
{
  "message": "<string>",
  "errors": {}
}
{
  "message": "<string>",
  "errors": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

name
string
required
org
string
required

Body

application/json
description
string
required
Required string length: 1 - 256
expires_at
integer | null

Unix timestamp for key expiry. Use 0 or omit for no expiry. Must not be in the past.

Required range: x <= 4102444800

Response

Successful Response

id
string
required
key
string
required
description
string
required
created_at
number
required
expires_at
integer
required
Last modified on July 10, 2026